****************************************************
*                                                  *
*  TMS IntraWeb Component Pack Pro &               *
*  TMS IntraWeb Component Pack Pro Script Edition  *
*                                                  *
****************************************************

release May 25, 2009: v3.6.0.2
------------------------------

  - TTIWSideNavbar
    Fixed: issue with expand/collaps of sidenavbar panels


release May 19, 2009: v3.6.0.1
------------------------------

  - TTIWDatePicker
    Fixed: issue with showing calendar dropdown


release May 6, 2009: v3.6.0.0
-----------------------------

  - TTIWDatePicker
    New: capability to get & set date asynchronously

  - TTIWAdvToolButton
    New: async rendering capability added
    New: async events OnAsyncChange, OnAsyncExit, OnAsyncEnter added
    New: TabOrder property exposed
    New: Submit on key space or enter
    New: BorderColor property added
    
  - TTIWAdvWebGrid
    New ClientEvents: EditChanged, DynEditChanged
    New: properties Glyphs.SpinEditDownButtonImage, Glyphs.SpinEditUpButtonImage, Glyphs.SpinEditDownButtonImageURL,
         Glyphs.SpinEditUpButtonImageURL to customize spin buttons
    Improved: search now supports partial string matches
    Improved: ActiveRowIndex can be set to -1 to hide active row
    Fixed: issue with spin editor when cell value is empty
    Fixed: issue with footertype DynSum for DynText column type
    Fixed: issue when DecimalPoint was set to different value than '.' for DynText, DynEdit column types
    Fixed: ClientEvents.CheckClick was only called when using ctCheckBox and not for ctImageCheckBox

  - TTIWDBAdvWebGrid
    Fixed: memory leak with bookmark handling

  - TTIWAdvSelector
    New: DropDownImage, DropDownImageURL properties added
    Improved: replaced close button in dropdown with "x" for Firefox compatibility
 
  - TTIWStaticMenu
    New : Tag property added in TTIWStaticMenuItem
    Fixed: error when using the Background color button in the HTML List Editor

  - TTIWCheckList, TTIWCheckListBox 
    Improved: setting ReadOnly to true disables checkboxes

  - TIWAdvSpinEdit, TIWAdvTimeEdit, TIWAdvDateEdit
    New: ButtonDownImage, ButtonDownImageURL, ButtonUpImage, ButtonUpImageURL properties added
    Improved: async toggle between enabled/disabled support added

  - TTIWSideNavBar 
    New: property Divider.ForeColor added
    Fixed: problem with Divider.BackColorTo


  - TTIWMultiColumnComboBox
    New: Properties added: DropDownImage & DropDownImageURL 

  - TTIWAdvEdit / TTIWDBAdvEdit
    Fixed: When Edit is rendered as a label (NonEditableAsLabel + db in browse mode), the CSS class was not correctly rendered.


release Mar 10, 2009: v3.5.1.0
------------------------------

- TTIWDBAdvRadioGroup
  New : DataMapMode property added to switch between dmIndex and dmBinary

- TTIWDBAdvCheckGroup
  Fixed: An error occurs when the DataMapMode is set to dmBinary and the associated DataField is Null

- TTIWAdvWebGrid
  Fixed: SubTitle header size was too big when using Center Alignment (in Firefox)

- TTIWDBAdvWebGrid
  Fixed : memory leak

- TIWDateSelector
  Fixed: Date property was not correctly updated when doing an AysncSubmit (example: IWButton OnAsyncClick)



release Dec 11, 2008: v3.5.0.1
------------------------------
  - TIWAdvWebGrid
    Fixed : LoadFromCSV/SaveToCSV with Unicode support added



release Dec 3, 2008: v3.5
-------------------------

- New : support for IntraWeb 10, Delphi 2009 / C++Builder 2009

- TIWAdvWebGrid
  New: OnGetRowHeaderText event added
  Fixed: issue with direct edit and datepicker
  Fixed: issue with direct edit and popup editor in Firefox 3.0
  Fixed: issue when using HTML in the edPopupEdit
  Fixed: issue when using vertical Scrolling in combination with RowHeader.Show = true
  Fixed: Font size rendering of RowHeader in Firefox
  Fixed: Scrolling bug (scrollbarwidth was not correctly calculated) in Firefox
  Fixed: RowHeader.RowHeaderWidth was not rendered correctly

- TIWCheckListBox
  New: Added support for adding items via async button event
  Fixed: OnAsyncExit event was not called
  Fixed: OnAsyncCheckClick was not called when CheckAll checkbox was clicked

- TIWDatePicker
  Fixed: When a combobox is inside a hidden region, it was not correctly displayed when the DatePicker dropdown dissapeared

- TIWDBDatePicker
  Fixed: when date property is empty, the posted value is set to nil



release Oct 28, 2008: v3.4.7.0
------------------------------

- TIWAdvWebGrid
  New: Added Glyphs.DropDownImage & DropDownImageURL to replace dropdownbutton in edDatePicker
  Improved: when Controller.Page = cpPageList and Controller.PagerType = cptLink or cptButton. Link or Button for current page is disabled
  Fixed: OnPost event was called before the CellValues where updated
  Fixed: RowCount problem when AsyncActiveRowMove = true and AsyncPaging = true
  Fixed: when ColumnType = ctDataImage, images were not displayed after AsyncPaging
  Fixed: When using SortSettings Ascending & Descending Bitmaps the correct Bitmap was not displayed after changing the sort order.
  Fixed: When column activerow font color was the same as the popup backcolor, text in popup was not visible after async update

- TIWAdvEdit
  New: published Enabled property

- TIWHTML Editor
  New: Added Subscript / Superscript support
  Fixed: Case difference issue in C++ with ComboBoxes property declaration 

- TIWListLink
  Improved: When an Item is moved and it already exists in the target ListBox it was not removed from the source ListBox

- TIWAdvImageButton
  Fixed: OnAsyncClick event was called twice when clicking on the button

- TIWPopupMenuButton / TIWPopupMenuLabel
  Fixed: When the menu was used inside a Table or Region, the table/region height was stretched. (outer div of each submenu is set to position absolute)

- TIWSideNavBar
  Fixed: Render problem when Align <> alNone
  Fixed: When the custom controls used inside a Panel are not positioned absolutely (ie when using Templates). The positioning JS method was not working correctly.

- TIWTickerPanel
  Fixed: problem with displaying CollapsedImage

- TIWCheckListBox
  Fixed: control stays always visible even when the IWRegion is made invisible in an async-event.

- TIWExchangeBar
  Fixed: When an item has an empty caption the remaining items where not displayed.

- TIWClock
  Fixed JS error after async update

- TIWDBAdvDateEdit / TIWDBAdvTimeEdit
  Fixed: When connected to a DateTime field of a Database, the Time (for the DateEdit) and Date (for the TimeEdit) part of the DateTime value where dropped.

- TIWRadioButton
  Fixed: issue with returning selected radiobutton from async calls

- TIWAdvSpinEdit
  Fixed: problem when clicking spin buttons if value is empty

- TIWAdvSpinEdit / TIWAdvTimeEdit / TIWAdvDateEdit
  Fixed: Issue with setting Enabled property via async event
   

release Aug 22, 2008: v3.4.6.2
------------------------------
- TTIWAdvWebGrid
  Fixed: OnAfterGotoLink & OnBeforeGotoLink ColumnIndex parameter was incorrect when using a LinkField or LinkRowNumber field
  Fixed: CellClick (msMove) is disabled for ctPopup columns
  Fixed: in some cases Page index was set to -1 which caused an index out of bounds error
  Fixed: if images from a TIWImageList control are used in a ctImage Column they were not displayed after an async refresh.


release Aug 13, 2008: v3.4.6.1
------------------------------
- TTIWAdvWebGrid
  Fixed: IE 6 and older issue:  ComboBoxes are hidden when using DatePicker columneditor in combination with DynComboBox 
         (for default editing and direct editing)
  Fixed: Possible JS error when using DatePicker columnEditor in combination with DirectEditing
  Fixed: IE issue: some inner borderlines were still visible when Visible = false and the form RenderInvisibleControls property is true
  Fixed: CellClick (msMove) is disabled for Link & LinkField columns
  Fixed: OnAfterGotoLink & OnBeforeGotoLink ColumnIndex parameter was incorrect
  Fixed: If ColumnType = ctImage and CellValue did not contain an img tag, Image was not displayed after Ajax call


release Jul 14, 2008: v3.4.6.0
------------------------------
- TTIWAdvWebGrid
  Fixed: When ColumnType = ctButton the Button FontColor was changed to the ActiveRowFontColor value when changing the ActiveRowIndex
  Fixed: Problem when pressing the Cancel button on ColumnType edPopupEdit and using DirectEdit
  Fixed: OnAsyncEdit event was not called when using DirectEdit
  Fixed: OnAsyncEditDone event was also called when AsyncEdit = false and using DirectEdit
  Fixed: First item of FilterList ComboBox was not correctly displayed
  Fixed: OnFilterSelect event was not called correctly
  Fixed: Column was not hidden correctly if Visible = false 
  Fixed: display problem when using MouseSelect = msEdit in combination with ColumnType ctScroll or ctNoWrap and ColumnEditor edPopupEdit

- TTIWAdvToolButton
  Added properties: Enabled, DisabledBackColor, DisabledBackColorTo, DisabledColorGradientDirection
  Fixed: Changed SubmitClick() call to SubmitClickConfirm() call for the OnClick event. (Problem with the OnClick event when used in combination with a TextBox that has an OnAsyncChange event.)

- TTIWExchangeBar
  Improved Item.IsExpanded property behavior

- TIWRadioButton
  Fixed: first radiobutton in the radiobutton list was always unchecked after server refresh


release Jun 10, 2008: v3.4.5.0
------------------------------
- TTIWAdvWebGrid
  Improved: AsyncActiveRowMove update speed (with a lot of columns/rows)
  Fixed: ColumnHeaderColor is displayed correctly when ColumnHeaderGradient2 color is specified (gradient in IE) in Firefox
  Fixed: FooterColor is displayed correctly when FooterGradient2 color is specified (gradient in IE) in Firefox
  Fixed: DynEdit values were not updated correctly after async servercall
  Fixed: Active / Column Font Color problem when using AsyncActiveRowMove
  Fixed: selected row fontcolor for ctPopup did not work

- TTIWCheckList / TTIWCheckListBox
  Fixed: Checklists are disabled when Editable = false

- TTIWDatePicker
  Fixed: only numeric values + datetime separator keys enabled in Firefox

- TTIWDatePicker / TTIWAdvDateEdit / TTIWAdvTimeEdit
  Fixed: Arrow keys + backspace keys available in editor(s) in Firefox
  Fixed: AutoFocus on first editor when clicking up/down button in Firefox

- TTIWAdvLUEdit
  Fixed: JS error when value is not in lookup list in Firefox

- TTIWAdvDateEdit / TTIWAdvTimeEdit / TTIWAdvSpinEdit
  Fixed: issue with only numeric values allowed in Firefox

- TTITextAreaLimiter
  Fixed : issue with font size setting

- TTIWStaticMenu
  Fixed : FixedColor background is displayed also when a FixedColorTo is selected (gradient in IE) in Firefox
  Fixed: HoverFontColor & HoverBorderColor not always displayed correctly

- TTIWAdvToolButton
  Fixed: problem with ClientEvent 

- TTIWMultiColumnComboBox
  Improved: If SelectedIndex property is set to -1, Text property is automatically cleared

- TTIWFadeImage
  Fixed: Problem with OnClick & OnMouseDown event (AsyncClick hookevent call caused to render an anchor tag around the control, it's ID was no longer correct)

release May 5, 2008: v3.4.1.1
-----------------------------
- Fixed : Small bug fix for issue with dyn. editors in TIWAdvWebGrid

release May 5, 2008: v3.4.1
---------------------------
- New : Added ComboBoxes.BackColors property : displays combobox to set text backcolor
- Fixed : TIWCCNumEdit error on form load (input tag name attribute)
- Fixed : TTIWAdvWebGrid backgroundcolor was not displayed correctly with Ajax updates
- Fixed : TTIWAdvWebGrid possible JS error when using AsyncActiveRowMove, MouseSelect msMove in combination with ColumnType ctDynCheckBox
- Fixed : TTIWDBAdvWebGrid first call AsyncDoPost did not correctly post the new data
- Fixed : TTIWDateSelector when using button OnAsyncClick the Date property value is updated correctly


release Apr 21, 2008: v3.4
--------------------------
- New : components : TTIW(DB)AdvCheckGroup, TTIW(DB)AdvRadioGroup
- Improved : Font.FontFamily / Font.Style.Bold / Font.Style.Italic properties handling in TTIWAdvToolButton, TTIWAdvSelector
- Improved : TTIWPopupMenuLabel, TTIWPopupMenuButton menu positioning in regions
- Improved : TTIWEmailEdit handling with Required = false
- Improved : TTIWAdvEdit use with Form.RenderInvisibleControls = true to display/hide the control with async events
- Fixed : TTIWAdvEdit issue with Opera
- Fixed : TTIWAdvEdit FireFox & Opera issue with text selection
- Fixed : TTIWAdvEdit FireFox & Opera issue with etLowerCase, etUpperCase modes
- Fixed : TTIWDBAdvEdit issue with Editable = false and NonEditableAsLabel = true async update handling
- Fixed : TTIWCCNumEdit Javascript error with Required = true
- Fixed : TTIWAdvWebGrid issue with selected row fontcolor for ctPopup
- Fixed : TTIWAdvWebGrid issue with number of pages of data for the grid exceeding the Controller.MaxPages value 
- Fixed : TTIWAdvEdit issue in Firefox textbox did not accept "-" character unless at position 0


release Feb 22, 2008: v3.3.1.1
------------------------------
- Fixed : issue in TIWAdvWebGrid with detail row height in Firefox
- Fixed : issue in TIWMultiColumnComboBox with editing text 


release Jan 23, 2008: v3.3.1.0
------------------------------
TIWAdvWebGridExcelIO
- Fixed : issue for exporting empty cells

TTIWAdvWebGrid, TTIWDBAdvWebGrid
- Fixed : issue with async active row changing
- Fixed : issue with async sorting
- Fixed : issue with ctImage column type and empty images
- Fixed : issue with async DB indicator updating


release Jan 17, 2008: v3.3.0.0
------------------------------
New : TIWAdvWebGridExcelIO : component to export/import XLS files from/to TTIWAdvWebGrid, TTIWDBAdvWebGrid

TTIWAdvWebGrid, TTIWDBAdvWebGrid
- New : OnAsyncValidate event added 
- New : ShowRowsAlways property added in TTIWDBAdvWebGrid
- Fixed : issue with insert record position

TTIWDatePicker 
- Fixed : issue with hiding controls

TTIWAdvEdit
- Fixed : issue with handling CSS


release Jan 12, 2008: v3.2.0.1
------------------------------
TTIWAdvWebGrid, TTIWDBAdvWebGrid
- Improved : column sizing
- New : property Scroll.ScrollIntoView controls whether with MouseSelect = msSingleCell, grid scrolls to selected cell

TIWDatePicker 
- Improved : auto hiding of dropdown calendar
- Improved : tab key handling

TIWExchangeBar
- Fixed : property declaration of Divider.BackColorTo / Splitter.BackColorTo
TIWSideNavBar
- Fixed : drag panel position when control is in IWRegion


release Dec 21, 2007: v3.2.0.0
------------------------------
TTIWAdvWebGrid, TTIWDBAdvWebGrid
- New : OnAsyncRowSelect event added
- New : AsyncActiveRowMove property added
- New : methods AsyncRowSelect(), AsyncClearRowSelect() added
- Improved : editing of signed values in TTIWAdvEdit
- Various smaller improvements & fixes

release Dec 14, 2007: v3.1.6.0
------------------------------
TTIWAdvWebGrid, TTIWDBAdvWebGrid

- Improved: AsyncCellClick / AsyncCheckClick: Changed Row/Col Index from 1-based to 0-based (to make it consistent with OnCellClick and other events)
- Improved: AsyncSetCell now also works for rows not on the current page, preferred way is to use grid.Cells[col,row]
- Fixed: AsyncPaging problem when # of rows on the last page is < RowCount
- Fixed: Popupedit did not always update value correctly in cell

TTIWAdvSpinEdit, TTIWDatePicker
- Fixed issue to get value from Button AsyncClick 

TTIWAutoFormFill
- IE Fix: Possible JS error when selecting an item from the popup list
- Improved: Compatibility with TIWAdvEdit
- Fixed: Controls used with the AutoFormFill that were added to the form afterwards were not recognized by the AFF

TTIWMainMenu, TTIWSideMenu
- Fixed: problem when setting visible = false for certain items, the subitems of the remaining items are not displayed (wrong id referenced)

TTIWPopupMenus
- Improved: Items set to visible = false are not displayed

TTIWStaticMenu
- Fixed: "Fixed" MenuItems where also shown as selected items when hovering
- Fixed: Problem with ShowSelected property


release Dec 5, 2007: v3.1.5.0
------------------------------
TTIWAdvWebGrid
- New : OnAsyncPostValidate event added
- New : AsyncSetCell method supported when called from external control async events
- New : AsyncSetEditMode, AsyncDoPost, AsyncDoCancel methods added
- New : property CanSort added in Column to control whether a column can be sorted or not
- New : CheckClick / AsyncCheckClick events also triggered for column header checkboxes
- Improved : default property value settings in grid Columns for reduced DFM storage
- Improved: ImageClick & AsyncImageClick also used for ColumnType.ctImage when the cellvalue contains an URL for an image
- Fixed : RowIndicator reset to "Browse" image after AsyncCancel
- Fixed : issue with popup edit in async mode
- Fixed : small issues with inplace datepicker editor with Firefox
- Fixed : issue with GotoPage event

TTIWSideNavBar
- Fixed : memory leak

TTIWStaticMenu
- Improved : rendering for Firefox

release Nov 19, 2007: v3.1.0.0
------------------------------
TTIWAdvWebGrid
- New : Javascript compression
- New : AsyncSorting, AsyncPaging, AsyncEdit properties added
- New : Added Async events for editing: OnAsyncEdit / OnAsyncCancel
- New : Added Async events for paging: AsyncNextPage/OnAsyncPrevPage/OnAsyncFirstPage/OnAsyncLastPage/OnAsyncGotoPage
- New : Added Async events for sorting : AsyncColumnHeaderClick
- Fixed : ImageClick event was broken when AsyncImageClick was added
- Fixed : rendering issue with embedded spin editor
- Fixed : rendering issue with inplace memo editor width
- Fixed : LinkClick Row & Column parameters switched

TTIWDatePicker
- New : Async Events added: OnAsync Click, PrevMonth, NextMonth, PrevYear, NextYear

TTIWCalendar
- New : Date parameter added for Async events
- Fixed: Issue in Firefox : unable to select Day that was already selected

TTIWSideNavBar
- New : Javascript compression

TTIWExchangeBar
- New : Javascript compression

release Oct 25, 2007: v3.0.0.0
------------------------------
TTIWAdvWebGrid
- New : Added events: OnAsyncButtonClick, OnAsyncCellClick, OnAsyncCheckClick,  OnAsyncComboChange, OnAsyncImageClick, OnAsyncLinkClick
- New : Extra URL (string) properties added for all bitmap properties
- Fixed : JS error when using nodes without detailrow defined
- Fixed : in direct edit mode “undefined” was shown in editor / numeric editor afer cellclick when cellvalue was empty
- Fixed : in direct edit mode “NaN” was shown in spinedit afer cellclick when cellvalue was empty

TTIWAdvTimeEdit, TTIWAdvDateEdit
- Fixed : FireFox Fix: show buttons as disabled when Enabled = false
- Fixed : Merged multiple “style” attributes
- Fixed : Top control position and up/down button positions.

TTIWAutoFormFill
- New control added for multi edit control auto lookup

TTIWAdvSelector
- Fixed : issue with ClientEvent

TTIWHotSpotImage
- Fixed: issue with OnHotSpotClick only called when event is assigned

TTIWFadeImage, TTIWAdvImage, TTIWPaintBox
- Fixed : issue with OnClick event in Firefox 

TTIWAdvEdit
- Fixed : SubmitOnReturn property not working correctly
- Fixed : issue with FireFox: “-” minus did not work when signed=true & edittype=numeric or float

TTIWAdvSpinEdit
- Fixed : issue with run-time positioning

TTIWAdvEdit, TTIWAdvLUEdit, 
- Fixed : Issue with D2007 setting required = true caused JS error (Gsubmitter)

TTIWTextAreaLimiter
- Fixed :  issue with ReadOnly/Editable properties 

TTIWHelpTip
- Fixed : Only windowed objects that are covered by the HelpTip-popup are hidden 
- New : Extra URL (string) properties added for all bitmap properties

TTIWTextAreaLimiter
- Fixed : FocusColor behavior

TTIWMultiColumnComboBox
- New : Added event OnChange
- New : Added public property ItemIndex
- Fixed : minor bug: When selecting an item via Enter key, the dropdown was not hidden.
- Fixed : problem with ItemIndex property
- Fixed : Issue when using to controls lower button is not hidden when used with a HTMLTemplate. 
- Fixed : Flat & BorderWidth/Color enabled
- Fixed : Issue with FocusColor/Color/BGColor

TTIWEmailEdit
- Fixed : issue with validation failing when FocusColor is set

TTIWFilePicker
- Fixed : issue with width rendering was not correct 

TTIWSideNavBar / TTIWExchangeBar
- New : Added event OnAsyncItemClick, OnAsyncPanelChange

TTIWPopupMenus
- New : Added event OnAsyncMenuClick

TTIWColorPicker
- New : Added event OnAsyncColorChanged

TTIWAdvToolButton
- New : Added event OnAsyncClick
- New : Extra URL (string) properties added for all bitmap properties

TTIWOutlookBar
- New : Added event OnAsyncPanelChange, OnAsyncItemClick, OnAsyncItemIndexClick
- New : Extra URL (string) properties added for all bitmap properties

TTIWMainMenu / TTIWSideMenu
- New : Added event OnAsyncMenuClick

TTIWStaticMenu
- New : Added event OnAsyncItemClick
- New : SelectedItem colors are now changed via JS too. 
- Fixed : wrong ID when used inside IW frames

TTIWCalendar
- New : Added events: OnAsyncClick, OnAsyncNextMonth, OnAsyncPrevMonth, OnAsyncNextYear,  OnAsyncPrevMonth
- New : Extra URL (string) properties added for all bitmap properties

TTIWDatePicker
- New : Added events: OnAsyncClick, OnAsyncNextMonth, OnAsyncPrevMonth, OnAsyncNextYear,  OnAsyncPrevMonth
- New : Extra URL (string) properties added for all bitmap properties
- Fixed : OnClick Date parameter was incorrect
- Fixed : issue with Forefox when clicked on the selected date
- Improved : Input element “Style” attributes merged.



release May 8, 2006 : v2.9.0.1
------------------------------
- Fixed : issue with GSubmitter in IntraWeb 9
- Fixed : issue with col/row parameters in grid client click event


release Apr 17, 2006 : v2.9.0.0
--------------------------------
- New : support for IntraWeb 9
- New : support for Delphi 2007

TTIWAdvWebGrid, TTIWDBAdvWebGrid 
- New : Added font attributes for ColumnType.ctDynCombo
- New : Properties added: NamOfMonths & NameOfDays for Editor.DatePicker
- Fixed : bug with "ActiveRowColor = clNone" and "Bands.Active = True"
- Fixed : bug with "ColumnHeaderBorders.Padding > 0" and "ShowColumnHeaderHeader = False"
- Fixed : bug "Column.Editor = edCombo" and textvalue contains ampersand
          (&amp; or other HTML characater entity) is not automatically selected in ComboBox
- Fixed : bug single backslash (\) disappears when editing

TTIWAdvToolButton
- New : Separated javascript into .JS file


release Dec 3, 2006 : v2.8.0.0
--------------------------------
- New : support for IntraWeb 9 for BDS2006
- New : support for Internet Explorer 7
- Fixed : issue with active row color in TTIWAdvWebGrid, TTIWDBAdvWebGrid
- Fixed : issue with row selection in TTIWAdvWebGrid, TTIWDBAdvWebGrid

release Sept 14, 2006 : v2.7.5.0
--------------------------------
- TTIWAdvWebGrid : fixed issue with OnPostValidate event for Post call
- TTIWAdvWebGrid, TTIWDBAdvWebGrid : fixes for columnsizing when RowCount = 0
- TTIWAdvWebGrid, TTIWDBAdvWebGrid : fixed issue with HoverFontColor
- TTIWAdvWebGrid, TTIWDBAdvWebGrid : combined use of HoverColor, HoverFontColor and SelectColor, SelectFontColor added
- TTIWAdvWebGrid, TTIWDBAdvWebGrid : new client events DynEditStart, EditStart
- TTIWDatePicker, TTIWDBDatePicker : when a 2 digit year is entered it is automatically changed to 4 digits
- TTIWDBDatePicker : fixed issue with editing timestamps fields
- TIWSideNavBar : fixed issue with selected item color


release July 8, 2006 : v2.7.0.1
------------------------------------
- Fixes in TIWAdvEdit, TIWHelpTip, TIWAdvWebGrid, TIWAdvToolButton

release February 16, 2006 : v2.7.0.0
------------------------------------
- New : support for IntraWeb 8.0.22
- New : ctDynMemo column type in TTIWAdvWebGrid
- Improved : TabOrder handling in TTIWAdvWebGrid & TTIWDBAdvWebGrid
- Improved : TTIWAdvWebGrid direct edit mode
- Improved : TTIWAdvImageButton rendered HTML
- Improved : TTIWCheckListEdit dropdown handling
- Improved : TTIWHelpTip TabOrder property added
- Fixed : TTIWAdvSpinEdit, TTIWDatePicker issues in Firefox

release December 9, 2005 : v2.6.6.1
-----------------------------------
- New: Support for Delphi 2006 & C++Builder 2006 / IntraWeb 8
- Various smaller fixes and enhancements 
  (TTIWDatePicker, TTIWMainMenu, TTIWHTMLEdit, TTIWAdvWebGrid, TTIWDBAdvWebGrid)

release October 25, 2005 : v2.6.6.0
-----------------------------------
- Fixed : issue with font support for TTIWHelpTip
- Fixed : TTIWAdvWebGrid column sizing
- Fixed : TTIWExchangeBar support for IntraWeb 5.1
- Fixed : TTIWCheckList XP border color

release October 25, 2005 : v2.6.5.0
-----------------------------------
- New: Support for Delphi 2006 / C++Builder 2006

release October 11, 2005 : v2.6.5.0
-----------------------------------
- New: TTIWMultiColumnComboBox lookup with filtering or selection
- New: TTIWMultiColumnComboBox lookup typeahead functionality
- New: TTIWMultiColumnComboBox display when no matching items are found
- New: TTIWMultiColumnComboBox LookupChars property to control start of lookup

release September 22, 2005 : v2.6.0.0
-------------------------------------
- New: TTIWAdvSelector generic Office 2003 style selector component with built-in font, color, image, symbol selector
- New: preliminary IntraWeb 8 support
- Improved : TTIWAdvToolButton client event handling & color presets
- Improved : TTIWMultiColumnComboBox : tab handling
- Improved : TTIWCheckList & TTIWCheckListBox ClearSelection methods added

release September 8, 2005 : v2.5.4.0
------------------------------------
- Improved : HTML editor compatibility with Firefox
- Improved : grid font use for inplace editors

release August 30, 2005 : v2.5.3.0
----------------------------------
- Fixed : OnFocus, OnBlur client events in TTIWDatePicker
- Fixed : Issue with TTIWCheckList value list handling
- Improved : TTIWAdvWebGrid scroll handling during direct edit mode

release June 30, 2005 : v2.5.1.8
--------------------------------
- Improved : datepicker display over TIWAdvWebGrid
- Improved : combobox sizing in TIWAdvWebGrid
- Fixed : TIWAdvEdit AdvanceOnEnter / AdvanceOnUpdown fix with password input
- Fixed : TIWSideNavBar conflict with region alignment 

release June 21, 2005 : v2.5.1.7
--------------------------------
- Fixed : memory leak in TTIWAdvWebGrid & TTIWDBAdvWebGrid
- Improved : mixed case edit type of TTIWAdvEdit 

release June 11, 2005 : v2.5.1.6
--------------------------------
- New: TTIWDatePicker.BGColor property added
- Improved : focus color handling for TTIWDatePicker
- Improved : grid check all/uncheck all speed improved
- Improved : TIWAdvImageButton client event handling and image link handling
- Improved : menu autocheck handling fixed

release May 19, 2005 : v2.5.1.5
-------------------------------
- Fixed : issue with MainMenu, SideMenu
- Fixed : WebGrid msSingleRowCheck javascript error fixed

release May 12, 2005 : v2.5.1.4
-------------------------------
- Improved : TIWDatePicker, TDBIWDatePicker dropdown handling in regions & tabcontrol
- Improved : TIWAdvEdit BGColor, key event handling
- Improved : TIWAdvTimeEdit, TIWAdvDateEdit tabbing in IW 7.2.32 or above
- Improved : TIWTextAreaLimiter tabbing in IW 7.2.32 or above
- Fixed : TIWAdvEdit, TIWDBAdvEdit flat style rendering

release May 5, 2005 : v2.5.1.0
------------------------------
- Improved : grid direct editing mode with keyboard arrow & tab handling support
- Improved : edit control tab order handling (only with IW 7.2.32 or higher!)
- Improved : datepicker & DB datepicker enable handling
- Fix : OnBlur/OnFocus script event handling in TIWAdvEdit

release Apr 15, 2005 : v2.5.0.0
-------------------------------
  TMS IntraWeb Grids:
  - Fix: center footer alignment
  - Fix: DEL key handling on float / numeric editor
  - Fix: empty tooltip display
  - Fix: border appearance in non IE browsers
  - New: server OnComboChange event
  - New: client-side checkbox click event
  - New: ctLink column type and OnLinkClick event handler
  - New: grid button color control
  - New: DetailFont property in columns
  - New: client event gridkeydown returns column & row as c,r
  - New: DynEditChange returns column & row as c,r
  - New: In Controller, RowCountSelectLabelBefore, RowCountSelectLabelAfter added
  - New: Column.Enabled property added
  - New: OnGetCellType event added for dynamic per row changing of cell types
  - New: OnGetCellEditorEnabled event added for dynamic enable control of cell editors
  - New: OnNodeShow event added for dynamic control of node display
  - Smaller improvements: see development tracker on registered users page

  Other TMS IntraWeb Components:
  - Fix: TIWOutlookBar use of quotes in item & caption text
  - Fix: TIWCheckList DropDownFont handling
  - Fix: TIWCheckList autohides combobox controls in dropdown area
  - New: TIWSideNavBar navigating component
  - New: TIWEchangeBar navigating component
  - New: Enabled property on TIWAdvImageButton & disabled picture
  - New: direct URL references for TIWAdvImageButton images
  - New: TabOrder support for TIWAdvImageButton
  - New: TIWDatePicker & TIWDBDatePicker DisabledAppearance property to control type of disabled look
  - New: Persist property for TIWPersistentEdit
  - New: TIWColorComboBox OnChange event added
  - Smaller improvements: see development tracker on registered users page

release Dec 24, 2004 v2.3.2.1
-----------------------------
  - Fix for XP menus javascript handling

release Dec 7, 2004 v2.3.2.0
----------------------------
  - Partial update mode support added for non runtime changing TMS menu components
  - Delphi 2005 support added


release Dec 3, 2004
-------------------
  - TIWRadioButton enabled property fix
  - TIWAdvToolButton fix for OnClick handling
  - Menus fix for imagelist image handling
  - Grids fix for radiobuttons and umPartial mode
  - Grid improvements for scrollbar persistence
  - New property UseFullWidth added in grids
  - Grid fix for OnValueClick event

release Nov 25, 2004
--------------------
  - Small fixes to TTIWAdvWebGrid & TTIWDBAdvWebGrid
  - New demo for grid direct edit mode

release Nov 18, 2004
--------------------
- Significantly improved TTIWAdvWebGrid and TTIWDBAdvWebGrid performance by 
  cached scripting / improved HTML output / partial update mode support (for most common grid uses)
- Enhanced detail grid rendering support
- improved TIWMonthPlanner rendering

release Oct 9, 2004
--------------------
TTIWMainMenu and TTIWSideMenu
- redesigned for cross browser compatibility
- new properties RootItemHoverColor, RootItemHoverColorTo, RootItemDownColor and RootItemDownColorTo

TTIWPopupMenuButton, TTIWPopupMenuLabel and TTIWDocumentPopupMenu
- redesigned for cross browser compatibility

TTIWAdvImageButton
- support for OnClick script event

TTIWOutlookBar
- fix for using OutlookBar in template with grid

TTIWListOrganizer
- fix for keeping values of items after moving

TTIWAdvEdit
- fix for OnBlur handling in script event

TTIWCheckList
- property DropDownFont added

TTIWDateSelector
- fix for property Enabled
- support added for Font property

TTIWColorComboBox
- fix for onChange event

Improved cross browser compatibility
- TTIWSmartPanel
- TTIWAdvLUEdit
- TTIWHelpTip
- TTIWTickerPanel
- TTIWCCExpEdit
- TTIWGradientLabel
- TTIWMonthPlanner

- Misc: various smaller improvements and optimizations


release May 27, 2004
--------------------
- New: TTIWMultiColumnComboBox component
- New: TTIWHelpTip component
- New: TTIWCalculatingLabel component
- New: TTIWTextAreaLimiter component
- New: TTIWAdvToolButton component
- New: TTIWNoSpamEmail component
- New: TTIWClientWatch component
- New: TTIWListOrganiser component
- New: TTIWCheckListBox component
- Improved: cross browser compatibility
- Improved: grid server load for rendering
- Improved: TTIWAdvEdit support for partial mode and compact HTML code generation
- Misc: various smaller improvements and optimizations

release May 4, 2004
-------------------
- added support for IntraWeb 7.1
- improved grid rendering performance
- added dropdown glyph property for TTIWDatePicker
- optimized for using IntraWeb 7.1 User cache

release Mar 4, 2004
-------------------
- added support for IntraWeb 7.0.19
- added support for IntraWeb 7.0.19
- detail row handling improvement for TTIWAdvWebGrid & TTIWDBAdvWebGrid
- memory leak fix for TTIWHotSpotImage
- improved rendering of CheckListbox


release Jan 28, 2004
--------------------
- added support for IntraWeb 7.0.15
- improvements & fixes to TTIWDatePicker
- improvements & fixes to TTIWAdvWebGrid and TTIWDBAdvWebGrid
- fix to TTIWEmailEdit


release Sep 4, 2003
-------------------
- improved: TTIWDatePicker for drop down handling
- improved: TTIWMainMenu and TTIWSideMenu for root item handling
- improved: TTIWAdvWebGrid for imagelist image handling
- improved: TTIWDBAdvWebGrid for automatic field adding
- improved: TTIWHTMLEdit with improved color dropdown
- new: TTIWColorComboBox color combobox

release Aug 25, 2003
--------------------
- improved: handling of relative column widths & scroll/non scrolling column width handling
  in IntraWeb grid components

release July 24, 2003
---------------------

Script Edition available for IntraWeb 6

release July 16, 2003
---------------------

Grid improvements and new features:
- new: horiz. scrollbar & scrollbar styles
- new: fixed row header
- new: combo page selection
- new: various extra border & color styles
- new: sortprefix, sortsuffix added for sorting in TTIWAdvWebGrid
- new: custom compare mode added in TTIWAdvWebGrid
- new: sfFinancial sortformat added
- new: Sort independent row index in TTIWAdvWebGrid added
- new: sorting on dynamic edit content
- new: gridkeydown client event added
- new: link, button, image style for databuttons
- new: stretch column
- new: separate dynamic combobox text and values
- new: pgup/pgdn page selection
- new: direct multi inplace editing
- new: controller imagebutton pagers
- new: image width & height setting per column
- new: automatic adding all fields in TTIWDBAdvWebGrid
- new: client-side find function in controller
- new: DeleteSelectedRows in TTIWAdvWebGrid added
- new: PopupEditOk, PopupEditCancel clientevents added
- new: auto visual property copy for column insert / add
- new: grid keeps size with defaultrowheight > 0
- new: HoverRow client event
- new: OnPostValidate event added
- new: column style ctDataImageCheckBox
- new: ctDataImageCheckBox column type
- new: methods ClearDynEdits, ClearDetailStates, ClearRowSelect
- improved: support to load BMP,JPG,GIF files from DB blob fields
- improved: handling of dynedits with InsertRows / DeleteRows
- improved: MaxLength applicable for DynEdits
- improved: handling for OnNewRecord, Insert on empty database in TTIWDBAdvWebGrid
- improved: ctDataCheckBox handling in DB grid
+ various smaller improvements

Other new components and improvements:
- new: gallery based design time preference setting/storage
- new: iwscrollbarcolor component
- new: iwscrollpersistence component
- new: iwadvtimeedit,iwdbadvtimeedit component
- new: iwadvdateedit,iwdbadvdateedit component
- new: iwchecklist component
- new: iwdocumentpopup
- new: hotspotimage with clientside OnMouseDown, OnMouseOver, OnMouseOut events
- new: hotspotimage with enabled property per hotspot
- new: iwscriptedit design time editor (Script Editor edition only)
- new: outlookbar server event for panel open
- improved outlookbar, gradient panel background, gradient panel captions,
- improved: glyph-less spin edit, auto increment and min/max values
- improved: iwpopupbutton & iwpopuplabel with XP style menus
- improved: iwmainmenu, iwsidemenu
- improved: iwstaticmenu, fixed items, selected item, gradients, client scripts
- improved: datepicker & dbdatepicker behaviour

release May 4, 2003
-------------------

- Added support for IntraWeb 6

release Apr 7, 2003
--------------------
- TTIWMainMenu, TTIWSideMenu
  XP-style menus 
  Gradients, Checked menu items, transparency added
  Enhanced menu client script handling

- TTIWStaticMenu
  New ItemHeight property

- TTIWDateSelector
  Added support for translating month names

- TTIWCCNumEdit
  Only accepts numeric keys & space key

- Various smaller component improvements

Release Feb 28, 2003
--------------------

  TTIWStateComboBox
  - Combobox with states of USA

  TTIWDBCountryComboBox
  - DB-aware country combobox with capability to load countries from a dataset

  TTIWDBStateComboBox
  - DB-aware state combobox

  TTIWGradientLabel
  - Label with gradient background

  TTIWCalendar, TTIWDatePicker
  - New property to set start day

  TTIWAdvWebGrid, TTIWDBAdvWebGrid
  - New : ctNoWrap column type
  - Small improvements


release Feb 4, 2003
--------------------

  TTIWRadioButton
  - New component

  TIWColorPicker 
  - ColorPicker without server side events

  TIWDatePicker
  - OnExit, OnEnter client events added

  TIWAdvEdit
  - onBlur, onFocus ScriptEvents handling fixed
  - AdvanceOnUpDown capability added

  TIWMonthPlanner
  - Month calendar with detail appointments view 

  TIWDateSelector
  - Added client events
  - Added BGColor property

  TIWAdvWebGrid, TIWDBAdvWebGrid (Pro version only)
  - itRecordFromTo style in Controller 
  - RemoveRows, InsertRows, ClearRows support added in AdvWebGrid
  - RemoveColumns, InsertColumns added in AdvWebGrid
  - LoadFromCSV, InsertFromCSV, SaveToCSV, AppendToCSV added
  - ComboChange, DynComboChange, DynCheckClick client events added
  - Controller.ShowPagerAlways added 
  - Columns.ButtonWidth property added
  - ClientEvents DynEditChange, DynEditDone added
  - ClientEvent NodeClick added, JS function DetailOpen(r) added
  - OnValueClick event added
  - DetailRowShow dsAllOpen style added
  - AlwaysEdit property added in TIWAdvWebGrid
  - Keyboard up/down navigation for dynamic edits
  - Automatic scroll handling, persistent scroll position
  - Radiobutton persistence
  - DetailRow state persistence & state handling interface
  - Improved handling of CSS
  - ctURL OnGetURLText event / URLTextField property added
  - OnGetDetailGrid event added
  - Server side detail generation
  - RowCount selector in Controller
  - OnSetCellData event added
  - edPopupEdit editing style added
  - OnCanEditCell event added
  - Editor walking with cursor 
  - OnPost, OnCancel, OnEdit events
  - Non paged views capability, when rowcount = 0
  - DB and non DB aware template fields 
  - Improved null date handling
  - 4 new sample applications added

  Script Editor (TMS Component Pack + TMS IntraWeb Component Pack users only)
  - Formula parameter display

  TIWClientCode
  - container component for client side code

  TIWClientDebug
  - outputdebugstring handling component  

  TIWHTMLEdit
  - New properties to control which comboboxes are displayed
  - Improvements to editor
  - Toolbarbutton to set hyperlinks


release May 27, 2004
--------------------

  - Added support for IntraWeb 7.1
  - New: TTIWMultiColumnComboBox component
  - New: TTIWHelpTip component
  - New: TTIWCalculatingLabel component
  - New: TTIWTextAreaLimiter component
  - New: TTIWAdvToolButton component
  - New: TTIWNoSpamEmail component
  - New: TTIWClientWatch component
  - New: TTIWListOrganiser component
  - New: TTIWCheckListBox component
  - Improved: cross browser compatibilty
  - Improved: grid server load for rendering
  - Improved: TTIWAdvEdit support for partial mode and compact HTML code generation
  - Misc: various smaller improvements and optimizations


release Jun 24, 2004
--------------------

  - TTIWDatePicker improved handling of dropdown glyph
  - TTIWDatePicker improved handling in regions
  - TTIWCalendar improved OnClick handling
  - TTIWHTMLEdit improved image & horizontal rule insert
  - TTIWMultiColumnComboBox improved region handling
  - TTIWMainMenu, TTIWSideMenu, TTIWPopupMenu improved region handling
  - TTIWTextAreaLimiter improved control size handling
  - TTIWOutlookBar improved handling of text with special characters
  - TTIWDBDatePicker improved null date handling
  - Small improvements to the IW71Features demo
